package us.kostenko.gps_service_plugin_example

import io.flutter.app.FlutterApplication
import io.flutter.plugin.common.PluginRegistry
import io.flutter.plugins.GeneratedPluginRegistrant
import us.kostenko.gps_service_plugin.LocationService

class Application : FlutterApplication(),
                    PluginRegistry.PluginRegistrantCallback {

    override fun onCreate() {
        super.onCreate()
        LocationService.setPluginRegistrant(this)
        TimberInitializerImpl.init()
    }

    override fun registerWith(registry: PluginRegistry) {
        GeneratedPluginRegistrant.registerWith(registry)
    }
}